WP6StyleStateSequence Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP6StyleStateSequence Class Reference

`#include <WP6ContentListener.h>`

## Public Member Functions
| WP6StyleStateSequence ()
void | setCurrentState (WP6StyleState state)
WP6StyleState | getCurrentState () const
WP6StyleState | getPreviousState () const
void | clear ()

## Private Attributes
std::vector< WP6StyleState > | m_stateSequence

## Constructor & Destructor Documentation

WP6StyleStateSequence::WP6StyleStateSequence | ( |  | ) |
| inline

## Member Function Documentation

void WP6StyleStateSequence::clear | ( |  | ) |
| inline

Referenced by WP6StyleStateSequence().

WP6StyleState WP6StyleStateSequence::getCurrentState | ( |  | ) | const
| inline

Referenced by WP6ContentListener::displayNumberReferenceGroupOff(), WP6ContentListener::displayNumberReferenceGroupOn(), WP6ContentListener::handleLineBreak(), WP6ContentListener::insertCharacter(), and WP6ContentListener::insertTab().

WP6StyleState WP6StyleStateSequence::getPreviousState | ( |  | ) | const
| inline

Referenced by WP6ContentListener::displayNumberReferenceGroupOff().

void WP6StyleStateSequence::setCurrentState | ( | WP6StyleState | state | ) |
| inline

Referenced by WP6ContentListener::_paragraphNumberOn(), WP6ContentListener::displayNumberReferenceGroupOff(), WP6ContentListener::displayNumberReferenceGroupOn(), WP6ContentListener::globalOff(), WP6ContentListener::globalOn(), WP6ContentListener::noteOff(), WP6ContentListener::noteOn(), WP6ContentListener::paragraphNumberOff(), WP6ContentListener::styleGroupOff(), and WP6ContentListener::styleGroupOn().

## Member Data Documentation

std::vector<WP6StyleState> WP6StyleStateSequence::m_stateSequence
| private

Referenced by clear(), getCurrentState(), getPreviousState(), and setCurrentState().

The documentation for this class was generated from the following file:

- WP6ContentListener.h